Skip to main content
GET
/
alpha
/
borrow
/
markets
/
historical
/
{network}
/
{marketId}
/
{assetAddress}
cURL
curl --request GET \
  --url https://api.vaults.fyi/alpha/borrow/markets/historical/{network}/{marketId}/{assetAddress} \
  --header 'x-api-key: <api-key>'
{
  "itemsOnPage": 123,
  "data": [
    {
      "timestamp": 123,
      "blockNumber": "<string>",
      "supplyRate": 1,
      "borrowRate": 1,
      "utilizationRate": 1,
      "totalSupplied": {
        "native": "<string>",
        "usd": 1
      },
      "totalBorrowed": {
        "native": "<string>",
        "usd": 1
      },
      "supplyIndex": 1,
      "borrowIndex": 1
    }
  ],
  "nextPage": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.vaults.fyi/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Path Parameters

network
enum<string>
required

Canonical network slug

Available options:
mainnet,
optimism,
arbitrum,
polygon,
gnosis,
base,
unichain,
swellchain,
celo,
worldchain,
berachain,
ink,
bsc,
hyperliquid,
plasma,
avalanche,
katana,
linea,
mega-eth,
monad,
etherlink
marketId
string
required

Canonical market identifier

Minimum string length: 1
assetAddress
string
required

Canonical asset address within the borrow market

Pattern: ^0x[a-fA-F0-9]{40}$

Query Parameters

page
integer
default:0

Page number (starting from 0)

Required range: x >= 0
perPage
integer
default:50

Number of items per page

Required range: 0 < x <= 20000
granularity
enum<string>
default:1hour

Granularity for historical data (even intervals starting from epoch 0). Possible values: 1hour, 1day, 1week

Available options:
1hour,
1day,
1week
fromTimestamp
integer
default:0

Timestamp for the start of the time period for which data will be fetched

toTimestamp
integer

Timestamp for the end of the time period for which data will be fetched

Response

Historical data for a single borrow market asset, paginated by timestamp

Historical data for a single borrow market asset, paginated by timestamp

itemsOnPage
integer
required

Number of items on the current page

data
object[]
required
nextPage
integer

Next page number